Subject: Re: [Simple] draft-ietf-simple-partial-publish - composition rules

From: Aki Niemi <[email-masked]>
Date: Thu, 20 Oct 2005 16:59:19 +0300

Hi,

Again sorry for the late response. Inline.

ext Anat Angel wrote:
> Hi
> 
>  
> 
> I have a question regarding composition rules:
> 
>  
> 
> Does a composer need to treat a UA that published its state in a 
> pidf-diff method (inside MODIFY request), as if it is more updated in 
> ALL the information it previously published? That means to consider this 
> publisher more updated about information that he didn't publish in this 
> particular request as well.

As with ordinary diff and patch, the patch usually only updates part of 
the information; the rest of the document remains unchanged. The 
implication is however, that the resulting full presence document is 
still considered valid in its entirety. No part is less valid than another.

> 
> Or does the composer need to treat it as if only the patch is more updated?
> 
>  
> 
> The significance of this question is best explained in the following 
> scenario:
> 
>  
> 
> The composer gets 2 INITIAL PUBLISH requests to the same presentity.
> 
> The first one (called A1) include 3 tuples with id's: tuple1, tuple2, 
> tuple3.
> 
> The second one (called B and comes after A1) include 2 tuples with id's: 
> tuple1 and tuple2.
> 
>  
> 
> The composer sends a first NOTIFY with full-pidf of tuple1 & tuple2 from 
> B (because it's more recent) and tuple3 from A1.
> 
> This is based on approach that information inside a more recent PUBLISH 
> is more updated.
> 
>  
> 
> Now another PUBLISH is received which is MODIFY to the first PUBLISH 
> (we'll name it A2). It is pidf-diff document. This PUBLISH include only 
> a <replace> to the contents of tuple1.
> 
>  
> 
> What should now be the content of a pidf-diff NOTIFY sent by the composer?
> 
> Is it only tuple1 (identical to the received PUBLISH with pidf-diff 
> document)?
> 
> Or should it also include tuple2 from A1, because we assume that 
> publisher A is more updated about the situation of the presentity?

This seems to fall into the area of composition policy, for which the 
PUBLISH nor partial-publish doesn't intend to find solutions directly.

Instead, look at:
http://www.ietf.org/internet-drafts/draft-ietf-simple-presence-data-model-05.txt

and the composition draft I pointed out in the previous email.

Cheers,
Aki

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple